diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java
index 976339182..a84c55246 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailElement.java
@@ -15,8 +15,8 @@ import java.util.Arrays;
 import org.eclipse.ui.forms.widgets.Section;
 
 import eu.etaxonomy.cdm.model.agent.Team;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.EntityDetailType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.EntityDetailType;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.ToggleableTextElement;
@@ -43,7 +43,7 @@ public class TeamDetailElement extends AbstractIdentifiableEntityDetailElement<T
 	 * </p>
 	 * 
 	 * @param cdmFormFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
@@ -51,7 +51,7 @@ public class TeamDetailElement extends AbstractIdentifiableEntityDetailElement<T
 	 * @param style
 	 *            a int.
 	 */
-	public TeamDetailElement(CdmFormFactory cdmFormFactory,
+	public TeamDetailElement(CdmFormFactoryFacade cdmFormFactory,
 			ICdmFormElement formElement, int style) {
 		super(cdmFormFactory, formElement);
 	}
@@ -71,7 +71,7 @@ public class TeamDetailElement extends AbstractIdentifiableEntityDetailElement<T
 		section_teamMembers = (TeamMemberSection) formFactory
 				.createEntityDetailSection(EntityDetailType.TEAMMEMBER,
 						getConversationHolder(), formElement, Section.EXPANDED);
-		section_teamMembers.setLayoutData(CdmFormFactory
+		section_teamMembers.setLayoutData(CdmFormFactoryFacade
 				.FILL_HORIZONTALLY(2, 1));
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailSection.java
index 6cf73bc46..6fa9e2865 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamDetailSection.java
@@ -14,9 +14,9 @@ import org.eclipse.jface.viewers.ISelectionProvider;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Team;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 
 /**
@@ -31,13 +31,13 @@ public class TeamDetailSection extends AbstractCdmDetailSection<Team>{
 	/**
 	 * <p>Constructor for TeamDetailSection.</p>
 	 *
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 */
-	public TeamDetailSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement,
+	public TeamDetailSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement,
 			ISelectionProvider selectionProvider, int style) {
 		super(cdmFormFactory, conversation, parentElement, selectionProvider, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java
index 493de9a7f..964e341c6 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberElement.java
@@ -14,9 +14,9 @@ import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
@@ -41,7 +41,7 @@ public class TeamMemberElement extends AbstractEntityCollectionElement<Person> {
 	 * </p>
 	 * 
 	 * @param cdmFormFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param section
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection}
@@ -53,7 +53,7 @@ public class TeamMemberElement extends AbstractEntityCollectionElement<Person> {
 	 * @param style
 	 *            a int.
 	 */
-	public TeamMemberElement(CdmFormFactory cdmFormFactory,
+	public TeamMemberElement(CdmFormFactoryFacade cdmFormFactory,
 			AbstractFormSection section, Person entity,
 			SelectionListener removeListener, int style) {
 		super(cdmFormFactory, section, entity, removeListener, null, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberSection.java
index 3a73774cd..3aa77c6fa 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamMemberSection.java
@@ -15,7 +15,7 @@ import java.util.Collection;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -31,12 +31,12 @@ public class TeamMemberSection extends AbstractEntityCollectionSection<Team, Per
 	/**
 	 * <p>Constructor for TeamMemberSection.</p>
 	 *
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
 	 */
-	public TeamMemberSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public TeamMemberSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation, parentElement, null, style);
 	}
 	
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java
index 28944f7bc..d66a9f8a6 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamOrPersonBaseDetailSection.java
@@ -17,9 +17,9 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 
 /**
@@ -37,13 +37,13 @@ public class TeamOrPersonBaseDetailSection extends AbstractCdmDetailSection<Team
 	/**
 	 * <p>Constructor for TeamOrPersonBaseDetailSection.</p>
 	 *
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 */
-	public TeamOrPersonBaseDetailSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation,
+	public TeamOrPersonBaseDetailSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation,
 			ICdmFormElement parentElement, ISelectionProvider selectionProvider, int style) {
 		super(cdmFormFactory, conversation, parentElement, selectionProvider, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamWizardPage.java
index 91bceab12..4a819b3d8 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/agent/TeamWizardPage.java
@@ -14,9 +14,9 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.agent.Team;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
@@ -37,7 +37,7 @@ public class TeamWizardPage extends AbstractCdmEntityWizardPage<Team> {
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param conversation
 	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
@@ -45,7 +45,7 @@ public class TeamWizardPage extends AbstractCdmEntityWizardPage<Team> {
 	 * @param entity
 	 *            a {@link eu.etaxonomy.cdm.model.agent.Team} object.
 	 */
-	public TeamWizardPage(CdmFormFactory formFactory,
+	public TeamWizardPage(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, Team entity) {
 		super(formFactory, conversation, entity);
 		setTitle("Team");
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java
index dbcb18324..22fe956c0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailElement.java
@@ -15,10 +15,10 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.taxon.Classification;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.store.CdmStore;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 import eu.etaxonomy.taxeditor.ui.selection.ReferenceSelectionElement;
@@ -50,13 +50,13 @@ public class ClassificationDetailElement extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
 	 *            object.
 	 */
-	public ClassificationDetailElement(CdmFormFactory formFactory,
+	public ClassificationDetailElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, formElement);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailSection.java
index aaa45514c..1d77823ab 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationDetailSection.java
@@ -14,9 +14,9 @@ import org.eclipse.jface.viewers.ISelectionProvider;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.taxon.Classification;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 
 /**
@@ -31,13 +31,13 @@ public class ClassificationDetailSection extends AbstractCdmDetailSection<Classi
 	/**
 	 * <p>Constructor for ClassificationDetailSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 */
-	public ClassificationDetailSection(CdmFormFactory formFactory,
+	public ClassificationDetailSection(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			ISelectionProvider selectionProvider, int style) {
 		super(formFactory, conversation, parentElement, selectionProvider, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java
index b1974fce5..19b847468 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/ClassificationWizardPage.java
@@ -15,9 +15,9 @@ import org.eclipse.swt.SWT;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -38,7 +38,7 @@ public class ClassificationWizardPage extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param conversation
 	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
@@ -46,7 +46,7 @@ public class ClassificationWizardPage extends
 	 * @param entity
 	 *            a {@link eu.etaxonomy.cdm.model.taxon.TaxonomicTree} object.
 	 */
-	public ClassificationWizardPage(CdmFormFactory formFactory,
+	public ClassificationWizardPage(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, Classification entity) {
 		super(formFactory, conversation, entity);
 		setTitle("Classification");
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java
index 12e576ab7..5b5132b7e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailElement.java
@@ -19,9 +19,9 @@ import eu.etaxonomy.cdm.model.taxon.ITreeNode;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.taxeditor.parser.ParseHandler;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.CheckboxElement;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
@@ -69,13 +69,13 @@ public class TaxonNodeDetailElement extends AbstractCdmDetailElement<ITreeNode>
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
 	 *            object.
 	 */
-	public TaxonNodeDetailElement(CdmFormFactory formFactory,
+	public TaxonNodeDetailElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, formElement);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailSection.java
index 4489c373a..d73ea3bb0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeDetailSection.java
@@ -14,9 +14,9 @@ import org.eclipse.jface.viewers.ISelectionProvider;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 
 /**
@@ -40,13 +40,13 @@ public class TaxonNodeDetailSection extends AbstractCdmDetailSection<TaxonNode>
 	/**
 	 * <p>Constructor for TaxonNodeDetailSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 */
-	public TaxonNodeDetailSection(CdmFormFactory formFactory,
+	public TaxonNodeDetailSection(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			ISelectionProvider selectionProvider, int style) {
 		super(formFactory, conversation, parentElement, selectionProvider, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeWizardPage.java
index 5e5614d8b..3ec0c4f92 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/classification/TaxonNodeWizardPage.java
@@ -16,9 +16,9 @@ import org.eclipse.swt.SWT;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.taxon.ITreeNode;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 
 /**
@@ -38,7 +38,7 @@ public class TaxonNodeWizardPage extends AbstractCdmEntityWizardPage<ITreeNode>
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param conversation
 	 *            a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder}
@@ -46,7 +46,7 @@ public class TaxonNodeWizardPage extends AbstractCdmEntityWizardPage<ITreeNode>
 	 * @param entity
 	 *            a {@link eu.etaxonomy.cdm.model.taxon.ITreeNode} object.
 	 */
-	public TaxonNodeWizardPage(CdmFormFactory formFactory,
+	public TaxonNodeWizardPage(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ITreeNode entity) {
 		super(formFactory, conversation, entity);
 		setTitle("Create a new Taxon");
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DerivedUnitElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DerivedUnitElement.java
index 1b02a224a..3d5e5d8b0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DerivedUnitElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DerivedUnitElement.java
@@ -13,9 +13,9 @@ package eu.etaxonomy.taxeditor.ui.section.description;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
 import eu.etaxonomy.taxeditor.ui.selection.AbstractSelectionElement;
@@ -41,7 +41,7 @@ public class DerivedUnitElement extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param section
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection}
@@ -55,7 +55,7 @@ public class DerivedUnitElement extends
 	 * @param style
 	 *            a int.
 	 */
-	public DerivedUnitElement(CdmFormFactory formFactory,
+	public DerivedUnitElement(CdmFormFactoryFacade formFactory,
 			AbstractFormSection section, SpecimenOrObservationBase entity,
 			SelectionListener removeListener, int style) {
 		super(formFactory, section, entity, removeListener, null, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescribedSpecimenSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescribedSpecimenSection.java
index ca19c9f3f..40868e708 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescribedSpecimenSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescribedSpecimenSection.java
@@ -16,7 +16,7 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -32,12 +32,12 @@ public class DescribedSpecimenSection extends AbstractEntityCollectionSection<Ta
 	/**
 	 * <p>Constructor for DescribedSpecimenSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
 	 */
-	public DescribedSpecimenSection(CdmFormFactory formFactory,
+	public DescribedSpecimenSection(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			int style) {
 		super(formFactory, conversation, parentElement, "Described Specimen", style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescriptionDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescriptionDetailElement.java
index 04ac09ab3..d97e970f9 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescriptionDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/description/DescriptionDetailElement.java
@@ -14,8 +14,8 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.model.description.DescriptionBase;
 import eu.etaxonomy.cdm.model.description.FeatureTree;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 import eu.etaxonomy.taxeditor.ui.selection.FeatureTreeSelectionElement;
@@ -35,11 +35,11 @@ public class DescriptionDetailElement extends AbstractCdmDetailElement<Descripti
 	/**
 	 * <p>Constructor for DescriptionDetailElement.</p>
 	 *
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
 	 */
-	public DescriptionDetailElement(CdmFormFactory cdmFormFactory,
+	public DescriptionDetailElement(CdmFormFactoryFacade cdmFormFactory,
 			ICdmFormElement formElement, int style) {
 		super(cdmFormFactory, formElement);
 	}
